DMA_BUF_VMAP(9)

NAME
dma_buf_vmap - Create virtual mapping for the buffer object into kernel address space. Same restrictions as for vmap and friends apply.

SYNOPSIS

void * dma_buf_vmap(struct dma_buf * dmabuf);

ARGUMENTS

dmabuf
    [in] buffer to vmap

DESCRIPTION

This call may fail due to lack of virtual mapping address space. These calls are optional in drivers. The intended use for them is for mapping objects linear in kernel space for high use objects. Please attempt to use kmap/kunmap before thinking about these interfaces.

Returns NULL on error.

COPYRIGHT